{
  nixpkgs,
  pkgs,
  ...
}: {
  imports = [
    "${nixpkgs}/nixos/modules/profiles/qemu-guest.nix"
  ];

  boot = {
    initrd.availableKernelModules = ["ata_piix" "uhci_hcd" "virtio_pci" "sd_mod" "sr_mod"];
    kernelPackages = pkgs.linuxPackages_latest;
    kernelModules = [];
    extraModulePackages = [];
    loader.grub = {
      enable = true;
      device = "/dev/sda"; # or "nodev" for efi only
    };
  };

  time.timeZone = "Europe/Berlin";

  fileSystems."/" = {
    device = "/dev/disk/by-uuid/fa0c2ff3-59f9-4c00-8153-c2c2ef0f0e84";
    fsType = "ext4";
  };

  swapDevices = [];
}
